package commonService

import (
	"net/http"
	"pms-api-go/api"
	"pms-api-go/internal/app/mysql"

	"github.com/gin-gonic/gin"
)

// 检查是否存在一条记录
func CheckHasOne(bean interface{}, ctx *gin.Context, id int64) {
	session := mysql.DBOrmInstance.NewSession()
	if id != 0 {
		session = session.Where("id != ?", id)
	}
	has, err := session.Get(bean)
	if err != nil {
		api.Error(ctx, http.StatusInternalServerError, err.Error())
		return
	}
	if has {
		api.Success(ctx, false)
		return
	}
	api.Success(ctx, true)
}
