package commonService

import "pms-api-go/pkg/lfshook"

//HasError 统一处理错误
func HasError(err error, msg ...string) {
	if err == nil {
		return
	}
	if len(msg) == 0 {
		lfshook.NewLogger().Errorf("has error %+v", err)
	} else {
		lfshook.NewLogger().Errorf("has error %+v, msg %+v", err, msg)
	}
}
